package com.starry.admin.modules.weichat.controller;


import com.starry.admin.common.aspect.CustomUserLogin;
import com.starry.admin.modules.custom.module.entity.PlayCustomLevelInfoEntity;
import com.starry.admin.modules.custom.service.IPlayCustomLevelInfoService;
import com.starry.admin.modules.weichat.entity.vo.PlayCustomLevelInfoReturnVo;
import com.starry.common.result.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @author admin
 */
@Slf4j
@RestController
@RequestMapping("/wx/level/")
public class WxLevelController {

    @Resource
    private IPlayCustomLevelInfoService levelInfoService;


    /**
     * 顾客查询登记列表
     */
    @CustomUserLogin
    @GetMapping("/custom/queryAll")
    public R queryById() {
        List<PlayCustomLevelInfoEntity> list = levelInfoService.selectAll();
        List<PlayCustomLevelInfoReturnVo> result = new ArrayList<>();
        for (PlayCustomLevelInfoEntity entity : list) {
            PlayCustomLevelInfoReturnVo vo = new PlayCustomLevelInfoReturnVo();
            BeanUtils.copyProperties(entity, vo);
            result.add(vo);
        }
        return R.ok(result);
    }


}
